package es.uca.xmleye.gui;

/*
 Copyright (C) 2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.io.File;

import net.infonode.tabbedpanel.titledtab.*;

import es.uca.xmleye.ParsingException;
import es.uca.xmleye.presentation.DocumentPresentationModel;

class DocumentTab extends TitledTab {
	private static final long serialVersionUID = 4796375771223163770L;
	
	// Fichero abierto al que se corresponde
	private File fichero;
	private DocumentView vistaDoc;

	public DocumentTab(File fichero)
			throws ParsingException {
		super(fichero.getName(), null, new DocumentView(), null);

		this.vistaDoc   = (DocumentView) getContentComponent();
		this.fichero    = fichero;
	}
	
	public File getFichero() {
		return fichero;
	}

	public void sincronizar(DocumentPresentationModel m) {
		vistaDoc.sincronizar(m);
	}

	public DocumentView getVista() {
		return vistaDoc;
	}
}
