package es.uca.xmleye.gui.html;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import javax.swing.event.*;

/**
 * <p>
 * HyperlinkListener que abre la dirección en un navegador. En Windows y MacOS
 * X, abre el predeterminado.
 * </p>
 * 
 * <p>
 * No abre enlaces con sólo referencias dentro del mismo documento, o que no son
 * URLs válidas.
 * </p>
 */
public class ExternalBrowserLinkListener implements HyperlinkListener {
	public void hyperlinkUpdate(HyperlinkEvent e) {
		if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED
				&& e.getURL() != null && e.getURL().getHost().length() > 0) {
			BrowserLauncher.abrirURL(e.getURL().toString());
		}
	}
}
