package es.uca.xmleye.util;

/*
  Copyright (C) 2005-2008 Antonio García Domínguez

  This program is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation;
  either version 2 of the License, or (at your option) any
  later version.

  This program is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
  PURPOSE. See the GNU General Public License for more
  details.

  You should have received a copy of the GNU General Public
  License along with this program; if not, write to the Free
  Software Foundation, Inc., 59 Temple Place, Suite 330,
  Boston, MA 02111-1307 USA
*/
import java.io.OutputStream;
import java.util.concurrent.Callable;

/**
 * Task which writes to an output stream. It may return the number of bytes or
 * lines written, depending on the implementation.
 *
 * @author Antonio García Domínguez
 * @version 2.0
 */
public interface OutputTask extends Callable<Integer> {

  /**
   * Changes the stream to write to.
   *
   * @param os
   *            Output stream to be used.
   */
  void setOutputStream(OutputStream os);
}
