<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:xmls="http://www.uca.es/xmleye/xml-stylesheet">

  <!-- Parent stylesheet -->
  <xsl:import href="view_xml"/>

  <xsl:output method="html"/>
  <xsl:strip-space elements="*"/>
  <xsl:variable name="quote">"</xsl:variable>
  <xsl:variable name="level_indent"><xsl:text>  </xsl:text></xsl:variable>
  <xsl:variable name="nl"><xsl:text>
</xsl:text></xsl:variable>

  <xsl:template match="*">
    <xsl:call-template name="skeleton">
      <xsl:with-param name="rtf">
	<xsl:element name="pre">
	  <xsl:apply-templates select="." mode="dump-source"/>
	</xsl:element>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="text()" mode="dump-source">
    <xsl:param name="indent" select="''"/>
    <xsl:value-of select="concat($indent, .)"/>
  </xsl:template>

  <xsl:template match="comment()" mode="dump-source">
    <xsl:param name="indent" select="''"/>
    <xsl:value-of select="concat('&lt;!--', ., '--&gt;')"/>
  </xsl:template>
  
  <xsl:template match="attribute::*" mode="dump-source">
    <xsl:value-of select="concat(' ', local-name(.), '=', $quote, string(.), $quote)"/>
  </xsl:template>

  <xsl:template match="*" mode="dump-source">
    <xsl:param name="indent" select="''"/>

    <xsl:value-of select="concat($indent, '&lt;', name(.))"/>
    <xsl:apply-templates mode="dump-source" select="@*"/>

    <xsl:choose>
      <xsl:when test="count(node()) &gt; 0">
	<xsl:value-of select="concat('&gt;', $nl)"/>

	<xsl:apply-templates select="node()" mode="dump-source">
	  <xsl:with-param name="indent" select="concat($indent, $level_indent)"/>
	</xsl:apply-templates>
      
	<xsl:value-of select="concat($nl, $indent, '&lt;/', local-name(.), '&gt;', $nl)"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="concat('/&gt;', $nl)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
